Subject: Re: Conflict markers in mergetool $LOCAL ?

From: David Aguilar <[email-masked]>
Date: Tue, 17 Aug 2010 02:30:23 -0700

On Tue, Aug 17, 2010 at 04:34:20AM +0000, Seth House wrote:
> [...]
> For small conflicts, I like the conflict markers and simply editing the
> conflicted file with Vim. For files with lots of conflicts I would like to use
> vimdiff but I wouldn't expect the conflict markers to appear there -- it's
> redundant information in a 3-way merge.
> 
> Is there a better Git Way (TM) that I'm missing? Is my Git setup borked
> somehow?
> 
> I have the following in my ~/.gitconfig and a stock Git installation on Arch
> Linux.
> 
> [merge]
>     tool = vimdiff

What happens if you remove this section?:

> [mergetool "vimdiff"]
>     cmd = vimdiff
>     trustExitCode = true

mergetool has built-in support for vimdiff.
You shouldn't need to define mergetool.vimdiff.cmd.

Does that change anything?

-- 

	David